Subject: Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Dec 2020 21:38:46 +0200

> From: Trevor Bentley <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked], [email-masked]
> Cc: 
> Date: Sun, 13 Dec 2020 20:34:11 +0100
> 
> >> Garbage collect never runs on other threads/forks, right? 
> > 
> > If you use packages or commands that create Lisp threads, I 
> > think GC can run from any of these Lisp threads. 
> 
> Hmm, that makes it trickier.  No clue if my default packages 
> launch threads, but it's possible.

Grep them for make-thread.

> I just hit the bug in one of my sessions: the call to 
> unblock_input() in garbage_collect() never returns.

If that ran in a thread, perhaps the thread died.

> But the session still completely works, so I'm not really sure
> what's going on here.

As long as the main thread runs, you might indeed see nothing special.